package route

import (
	"github.com/gin-gonic/gin"
	"wireguard-dashboard/http/api"
	"wireguard-dashboard/middleware"
)

// DashboardApi
// @description: 控制台相关API
// @param r
func DashboardApi(r *gin.RouterGroup) {
	apiGroup := r.Group("dashboard", middleware.Authorization(), middleware.SystemLogRequest())
	{
		apiGroup.GET("list", api.Dashboard().List) // 操作日志
	}
}
